Bug 27230 - purchase suggestion authorized value opac_sug doesn't show opac description
Summary: purchase suggestion authorized value opac_sug doesn't show opac description
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on: 1883
Blocks:
  Show dependency treegraph
 
Reported: 2020-12-13 21:50 UTC by Donna
Modified: 2021-02-11 22:38 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.05.00,20.11.01,20.05.07


Attachments
Bug 27230: Display OPAC description for OPAC_SUG (1.07 KB, patch)
2020-12-14 13:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 27230: Display OPAC description for OPAC_SUG (1.12 KB, patch)
2020-12-14 23:10 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 27230: Display OPAC description for OPAC_SUG (1.18 KB, patch)
2020-12-26 13:38 UTC, Victor Grousset/tuxayo
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Donna 2020-12-13 21:50:40 UTC

    
Comment 1 Donna 2020-12-13 21:53:45 UTC
In the purchase suggestion form on the OPAC, the reason for purchase, linked to opac_sug authorized value does not show the OPAC description label, it shows the description instead.

To recreate:
1. Create an auth value in opac_sug, with different text for the description and OPAC description.
2. Go to the OPAC and open the purchase suggestion form.
3.  Note in the Reason for purchase drop down, the descriptions appear, not the text entered in the OPAC description field.
Comment 2 Jonathan Druart 2020-12-14 13:52:53 UTC
Created attachment 114386 [details] [review]
Bug 27230: Display OPAC description for OPAC_SUG

The authorised values OPAC_SUG displayed at the OPAC show the staff
description.

Test plan:
1. Create an auth value in opac_sug, with different text for the description and OPAC description.
2. Go to the OPAC and open the purchase suggestion form.
3. Note in the Reason for purchase drop down, the descriptions appear, the text entered in the OPAC description field.
Comment 3 Lucas Gass 2020-12-14 23:10:53 UTC
Created attachment 114399 [details] [review]
Bug 27230: Display OPAC description for OPAC_SUG

The authorised values OPAC_SUG displayed at the OPAC show the staff
description.

Test plan:
1. Create an auth value in opac_sug, with different text for the description and OPAC description.
2. Go to the OPAC and open the purchase suggestion form.
3. Note in the Reason for purchase drop down, the descriptions appear, the text entered in the OPAC description field.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Comment 4 Victor Grousset/tuxayo 2020-12-26 13:38:21 UTC
Created attachment 114705 [details] [review]
Bug 27230: Display OPAC description for OPAC_SUG

The authorised values OPAC_SUG displayed at the OPAC show the staff
description.

Test plan:
1. Create an auth value in opac_sug, with different text for the description and OPAC description.
2. Go to the OPAC and open the purchase suggestion form.
3. Note in the Reason for purchase drop down, the descriptions appear, the text entered in the OPAC description field.

Signed-off-by: Lucas Gass <lucas@bywatersolutions.com>
Signed-off-by: Victor Grousset/tuxayo <victor@tuxayo.net>
Comment 5 Jonathan Druart 2020-12-26 17:15:34 UTC
Pushed to master for 21.05, thanks to everybody involved!
Comment 6 Fridolin Somers 2020-12-30 14:39:58 UTC
Pushed to 20.11.x for 20.11.01
Comment 7 Andrew Fuerste-Henry 2021-01-04 21:59:57 UTC
Pushed to 20.05.x for 20.05.07
Comment 8 Victor Grousset/tuxayo 2021-01-10 00:41:33 UTC
Not backported to oldoldstable (19.11.x). Feel free to ask if it's needed.